1. Webhooks
BeatAPI
  • Workflows
    • List launch workflows
      GET
  • Music Video
    • Create a Music Video workflow task
      POST
  • Ecommerce Video
    • Create an Ecommerce Video workflow task
      POST
  • Tasks
    • Poll task status
      GET
  • Usage
    • Get account usage and concurrency
      GET
  • Files
    • Upload a file for workflow inputs
      POST
  • Webhooks
    • List webhook endpoints
      GET
    • Create a webhook endpoint
      POST
    • Get a webhook endpoint
      GET
    • Update a webhook endpoint
      PATCH
    • Delete a webhook endpoint
      DELETE
  • Schemas
    • Workflow
    • TaskStatus
    • TaskUsage
    • Task
    • File
    • WebhookEndpoint
    • WebhookEvent
    • WorkflowList
    • WorkflowListResponse
    • TaskResponse
    • Usage
    • UsageResponse
    • FileResponse
    • WebhookEndpointList
    • WebhookEndpointListResponse
    • WebhookEndpointResponse
    • DeleteResponse
    • Error
  1. Webhooks

Update a webhook endpoint

PATCH
/v1/webhooks/{id}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Webhook endpoint updated
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.beatapi.io/v1/webhooks/wh_9aBcD' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "status": "disabled"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "wh_9aBcD",
        "object": "webhook_endpoint",
        "url": "https://example.com/beatapi-webhook",
        "events": [
            "task.succeeded"
        ],
        "status": "active",
        "secret": "whsec_example_masked",
        "created_at": 0
    }
}
Modified at 2026-06-25 13:50:22
Previous
Get a webhook endpoint
Next
Delete a webhook endpoint
Built with